import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.slf4j.Marker;
import org.slf4j.MarkerFactory;

public class LoggingMain {
    private static final Logger logger = LoggerFactory.getLogger(LoggingMain.class);
    private static final Marker IMPORTANT = MarkerFactory.getMarker("IMPORTANT");
    private static final Marker AUDIT = MarkerFactory.getMarker("AUDIT");

    public static void main(String[] args) {
        logger.trace(IMPORTANT, "This is a TRACE level message");
        logger.debug("This is a DEBUG level message");
        logger.info("This is an INFO level message");
        logger.warn("This is a WARN level message");
        logger.error("This is an ERROR level message");

        try {
            int result = 10 / 0;
        } catch (Exception e) {
            logger.error(AUDIT, "An error occurred while dividing numbers", e);
        }
    }
}

