import java.io.BufferedWriter;
import java.io.File;
import java.io.FileWriter;
import java.io.IOException;
import java.nio.file.*;

public class NIO2Main {
    public NIO2Main() throws IOException {
    }

    public static void main(String[] args) {
        // OLD style try-catch-finally
        BufferedWriter writer = null;

        try {
            Path myPath = Paths.get("src/main/resources/file.txt");
//         Path myPath = Paths.get("resources", "file.txt");

            writer = Files.newBufferedWriter(myPath);
            writer.write("Hello World");
        } catch (IOException e) {
            e.printStackTrace();
        } finally {
            try {
                writer.close();
            } catch (IOException e) {
                System.out.println("Error closing file " + e.getMessage());
            }
        }
    }

    // try with resources (TWR)
    private void saveFile(File file) {
        try (BufferedWriter writer = new BufferedWriter(new FileWriter(file))) {
            writer.write("Hello World");
        } catch (IOException e) {
            System.out.println("Could not write to file " + file.getName());
        }
    }
}
