package minecraft.gui;

import javax.swing.*;
import java.awt.*;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

public class GuiMain {
    private static final Logger logger = LoggerFactory.getLogger(GuiMain.class);

    JButton button = new JButton("Som Button!");
    JButton button2 = new JButton("Som Button2!");
    public void go() {
        logger.info("Starting GUI");

        JFrame frame = new JFrame();
        frame.getContentPane().add(button, BorderLayout.CENTER);

        Font font = new Font("Helvetica", Font.BOLD, 100);
        button2.setFont(font);
        frame.getContentPane().add(button2, BorderLayout.EAST);

        button.addActionListener(e -> {
            logger.trace("Button action event", e);
            System.out.println(e.getSource());
        });
        button2.addActionListener(new Button2ActionListener());

        System.out.println(frame.getContentPane().getComponents().length);


        frame.setSize(500, 500);
        frame.setVisible(true);
    }

    public static void main(String[] params) throws InterruptedException {
        GuiMain gui = new GuiMain();
        gui.go();
    }

    public class Button1ActionListener implements ActionListener {

        @Override
        public void actionPerformed(ActionEvent e) {
            System.out.println("Button1");
        }
    }

    public class Button2ActionListener implements ActionListener {

        @Override
        public void actionPerformed(ActionEvent e) {
            System.out.println("Button2");
        }
    }
}
