package minecraft.gui.mvp;

import minecraft.player.Steve;

import java.util.List;

public interface SteveView {
    void updateProgress(int percent);
    void hideProgress();
    void showProgress();
    void enableExportButton(boolean enable);

    void displayAllSteves(List<Steve> steves);

    void displayError(String message);

    void displaySuccess(String message);

    void clearForm();

    void displaySteveDetails(Steve steve);

    String getName();

    int getHealth();

    int getMaxHealth();

    int getAttackPower();

    int getDefensePower();

    int getHunger();

    int getMaxHunger();

    boolean isGodMode();

    void setName(String name);

    void setHealth(int health);

    void setMaxHealth(int maxHealth);

    void setAttackPower(int attackPower);

    void setDefensePower(int defensePower);

    void setHunger(int hunger);

    void setMaxHunger(int maxHunger);

    void setGodMode(boolean godMode);

    void setSelectedIndex(int index);

    int getSelectedIndex();

    interface SteveViewListener {
        void onAddSteve();

        void onUpdateSteve();

        void onDeleteSteve();

        void onClearForm();

        void onSteveSelected(int index);

        void onExportAllSteves(String filename);
    }

    void setListener(SteveViewListener listener);
}

