package reflection;

import minecraft.player.InvalidCharacterParamsException;
import minecraft.player.Steve;

import java.lang.annotation.Annotation;
import java.lang.reflect.*;

public class BasicClass2 {
    public static void main(String[] args) throws ClassNotFoundException, InvalidCharacterParamsException {

        Class<Steve> steveClass1 = Steve.class;

        System.out.println("Superclass: " + steveClass1.getSuperclass());
        System.out.println("Interfaces: " + steveClass1.getInterfaces());
        for (Class<?> i : steveClass1.getInterfaces()) {
            System.out.println("    Interface: " + i);
        }

        System.out.println("Constructors: " + steveClass1.getConstructors());
        for (Constructor<?> i : steveClass1.getConstructors()) {
            System.out.println("    Constructor: " + i);
        }

        System.out.println("Methods: " + steveClass1.getMethods());
        for (Method i : steveClass1.getMethods()) {
            System.out.println("    Method: " + i);
        }

        System.out.println("Declared Methods: " + steveClass1.getDeclaredMethods());
        for (Method i : steveClass1.getDeclaredMethods()) {
            System.out.println("    Declared Method: " + i);
        }

        System.out.println("Fields: " + steveClass1.getFields());
        for (Field i : steveClass1.getFields()) {
            System.out.println("    Field: " + i);
        }

        System.out.println("Declared Fields: " + steveClass1.getDeclaredFields());
        for (Field i : steveClass1.getDeclaredFields()) {
            System.out.println("    Declared Field: " + i);
        }

        System.out.println("Annotations: " + steveClass1.getAnnotations());
        for (Annotation i : steveClass1.getAnnotations()) {
            System.out.println("    Annotation: " + i);
        }
    }
}
